ONVIF::Device::Types::Receiver(3)

NAME
ONVIF::Device::Types::Receiver

DESCRIPTION
Perl data type class for the XML Schema defined complexType Receiver from the namespace http://www.onvif.org/ver10/schema.

Description of a receiver, including its token and configuration.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Token

•   Configuration

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::Receiver
   Token => $some_value, # ReferenceToken
   Configuration =>  { # ONVIF::Device::Types::ReceiverConfiguration
     Mode => $some_value, # ReceiverMode
     MediaUri =>  $some_value, # anyURI
     StreamSetup =>  { # ONVIF::Device::Types::StreamSetup
       Stream => $some_value, # StreamType
       Transport =>  { # ONVIF::Device::Types::Transport
         Protocol => $some_value, # TransportProtocol
       },
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL